List audit records
List audit trail records matching provided query params or default criteria.
The returned records are sorted by the execution_time from newest to oldest.
See Cursor-based pagination for instructions on how to paginate through the result set.
Only admins, account owners, or global API tokens on PagerDuty account pricing plans with the "Audit Trail" feature can access this endpoint.
For other role based access to audit records by resource ID, see the resource's API documentation.
For more information see the Audit API Document.
Scoped OAuth requires: audit_records.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
The start of the date range over which you want to search. If not specified, defaults to now() - 24 hours (past 24 hours)
date-timeThe end of the date range over which you want to search. If not specified, defaults to now(). May not be more than 31 days after since.
date-timeResource type filter for the root_resource.
Value in
- "users"
- "teams"
- "schedules"
- "escalation_policies"
- "services"
- "ip_allow_lists"
Actor type filter.
Value in
- "user_reference"
- "api_key_reference"
- "app_reference"
Actor Id filter. Must be qualified by providing the actor_type param.
Method type filter.
Value in
- "browser"
- "oauth"
- "api_token"
- "identity_provider"
- "other"
Method truncated_token filter. Must be qualified by providing the method_type param.
Action filter
Value in
- "create"
- "update"
- "delete"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Get raw user analytics data POST
Allows users to retrieve a raw list of user analytics data within their account. This endpoint provides detailed data about user activity and account configuration. <!-- theme: info --> > **Note:** Data availability reflects [pipeline processing cycles](https://support.pagerduty.com/main/docs/insights#:~:text=Data%20Update%20Schedule) and is generally within 24 hours under normal conditions. Scoped OAuth requires: `analytics.write`
List audit records GET
List audit trail records matching provided query params or default criteria. The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. Only admins, account owners, or global API tokens on PagerDuty account [pricing plans](https://www.pagerduty.com/pricing) with the "Audit Trail" feature can access this endpoint. For other role based access to audit records by resource ID, see the resource's API documentation. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`